# $Revision: 1.31.2.1 $, $Date: 2003/03/13 00:59:07 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	Cache
Summary:	Tie::Cache - LRU Cache in Memory
Summary(pl):	Tie::Cache - cache typu LRU w pamici
Name:		perl-Tie-Cache
Version:	0.17
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a least recently used (LRU) cache in memory
through a tie interface. Any time data is stored in the tied hash,
that key/value pair has an entry time associated with it, and as the
cache fills up, those members of the cache that are the oldest are
removed to make room for new entries.

%description -l pl
Ten modu jest implementacj cache typu LRU (ostatnio uywane) w
pamici poprzez powizany interfejs. Wszytkie dane dotyczce czasu s
zapisywane w powizanym haszu, ktrego para klucz/warto ma
przydzielony wpis dotyczcy czasu. Kiedy cache si zapenia, te
najstarsze elementy s usuwane, aby zrobi miejsce nowym.

%package bench
Summary:	Berchmark comparing Tie::Cache and Tie::Cache::LRU Perl modules
Summary(pl):	Porwnanie wydajnoci moduw Perla Tie::Cache i Tie::Cache::LRU
Group:		Development/Languages/Perl

%description bench
Berchmark comparing Tie::Cache and Tie::Cache::LRU Perl modules.

%description bench -l pl
Porwnanie wydajnoci moduw Perla Tie::Cache i Tie::Cache::LRU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_sitelib}/Tie/Cache.pm
%{_mandir}/man3/*

%files bench
%defattr(644,root,root,755)
%attr(755,root,root) %{perl_sitelib}/Tie/bench.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-Cache.spec,v $
Revision 1.31.2.1  2003/03/13 00:59:07  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.31  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.30  2003/02/18 15:38:58  ankry
- massive attack: change CPAN URLs

Revision 1.29  2002/08/16 21:44:23  qboosh
- pl description, release++

Revision 1.28  2002/08/11 22:10:26  radek
- restored package bench

Revision 1.27  2002/08/11 19:36:49  radek
- release up

Revision 1.26  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.25  2002/07/24 12:59:15  ankry
- moved %%{perl_sitelib}/Tie/bench.pl to a separate package (different
  requirements)
- release 3

Revision 1.24  2002/07/22 21:43:12  ankry
- translations, cleaning
- fixed %%files
- release 2

Revision 1.23  2002/07/20 23:10:01  qboosh
- updated to 0.17, new %%doc

Revision 1.22  2002/07/10 09:02:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:21:08  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:36:19  depesz
adapterized

Revision 1.16  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:17:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/24 15:48:07  mis
- autoupdated to 0.15

Revision 1.11  2001/03/20 09:29:58  mis
- autoupdated to 0.11

Revision 1.10  2001/02/01 20:31:51  kloczek
- updated to 0.10.

Revision 1.9  2001/01/25 21:37:56  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:11  pius
- updated to 0.08

Revision 1.2  1999/11/07 09:18:47  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
